import { ParamDefinition, ParamFamily } from "../param/param-definition";
import { ParamDomainValue } from "../param/param-domain";
import { ParallelStructureParams } from "../structure/parallel_structure_params";

export class CloisonsAvalParams extends ParallelStructureParams {

    /** Cote radier amont paroi (m) */
    public ZRAM: ParamDefinition;

    constructor(rQ: number, rZ1: number, rZ2: number, rZRAM: number, nullParams: boolean = false) {
        super(rQ, rZ1, rZ2);
        this.ZRAM = new ParamDefinition(this, "ZRAM", ParamDomainValue.ANY, "m", rZRAM, ParamFamily.ELEVATIONS, undefined, nullParams);
        this.addParamDefinition(this.ZRAM);
    }
}
